Bug 126265 - can't print out UTF-8 page
can't print out UTF-8 page
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
: i18n
Depends On:
Blocks: 157862
  Show dependency treegraph
 
Reported: 2004-06-18 03:36 EDT by Akira TAGOH
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-25 07:50:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glyphs overlapped in the "tree view selection" (269.18 KB, application/postscript)
2004-09-14 22:00 EDT, Leon Ho
no flags Details

  None (edit)
Description Akira TAGOH 2004-06-18 03:36:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The PostScript file which was generated from UTF-8 html can't be
printed out correctly. the result of the printing shows some boxes
instead of proper glyphs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.show UTF-8 html, such as README-ja.html in RHEL3
2.print out or generate to the file, and look at it on ghostscript
3.
    

Actual Results:  some boxes are shown/printed out instead of proper glyphs

Expected Results:  proper glyphs are shown/printed out

Additional info:

mozilla has some tables to convert the string. if depending on
ghostscript or PostScript level 3 printers is no problem, mozilla can
uses UTF-8 CMaps directly to print out the UTF-8 strings instead of
complex PostScript code.
Comment 1 Leon Ho 2004-07-11 21:46:07 EDT
It seems it is depending on the rendering font. If you run
LANG=ja_JP.UTF-8 mozilla (which uses the correct font) and print out this:
http://www.geocities.jp/yasushi_suzudo/

It shows in ggv correctly.

However if you run LANG=zh_TW.UTF-8 mozilla (which zh_TW font only
contains several glyphs in the page, other uses bitmap font or some
sort) and print out the above url and it only shows the glyphs that
render with zh_TW font.

Looked at the release notes for ja_JP, seems it is not render by ja font. 
Comment 2 Leon Ho 2004-09-14 21:56:50 EDT
The behavior is much better in the mozilla test build.

It prints out glyphs correctly.

However when the printing monospace font, the roman glyphs are
overlapping with cjk glyphs.
Comment 3 Leon Ho 2004-09-14 22:00:29 EDT
Created attachment 103854 [details]
glyphs overlapped in the "tree view selection"
Comment 4 Jens Petersen 2005-03-17 20:55:56 EST
Japanese release notes preview well with fc4test1 firefox now at least.
Comment 5 Jens Petersen 2005-03-17 21:02:31 EST
but the ps just renders the Japanese as whiteboxes again...
Comment 6 Jens Petersen 2005-05-12 05:12:16 EDT
Still happening with fc4test3.
Comment 7 Jens Petersen 2005-05-24 07:18:49 EDT
Ah, as Leon noted in comment 1, it depends on the page in question.

eg http://google.co.jp/ which is utf-8 prints out ok.
Comment 8 Jens Petersen 2005-05-25 02:59:46 EDT
Another datapoint: printing out say http://google.co.kr/ in a ja_JP.UTF-8
session or vice versa http://google.co.jp/ in a ko_KR.UTF-8 session
gives whiteboxes in the postscript output. (http://google.co.kr/ prints
fine for ko_KR.UTF-8.)
Comment 9 Jens Petersen 2005-05-25 07:50:19 EDT
Oops, our translated release notes and readme's (docbook generated)
are all erroneously tagged with lang="en" attributes (bug 158736)... :-(

Once the tags are removed they print fine.

Note You need to log in before you can comment on or make changes to this bug.